Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.notification.jms
Interface JMSPropertiesSetter

All Known Implementing Classes:
  DefaultJMSPropertiesSetter

    public interface JMSPropertiesSetter

Sets JMS Fields and Properties from an ESB Message instance

Author:
  Daniel Bevenius

Field Summary
`static java.lang.String` | `JMS_EXPIRATION` Key used when setting the JMSExpiration as a property on an ESB Message instance.
`static java.lang.String` | `JMS_REDELIVERED` Key used when setting the JMSRedelivered as a property on an ESB Message instance.
`static java.lang.String` | `JMS_REPLY_TO` Key used when setting the JMSReplyTo as a property on an ESB Message instance.

Method Summary
`void` | `setJMSProperties(Message fromESBMsg, javax.jms.Message toJMSMessage)` Sets JMS properties fields on the outgoing JMS Message.

Field Detail

### JMS_EXPIRATION

    static final java.lang.String JMS_EXPIRATION

  Key used when setting the JMSExpiration as a property on an ESB Message instance.

  See Also:
    Constant Field Values

### JMS_REDELIVERED

    static final java.lang.String JMS_REDELIVERED

  Key used when setting the JMSRedelivered as a property on an ESB Message instance.

  See Also:
    Constant Field Values

### JMS_REPLY_TO

    static final java.lang.String JMS_REPLY_TO

  Key used when setting the JMSReplyTo as a property on an ESB Message instance.

  See Also:
    Constant Field Values

Method Detail

### setJMSProperties

    void setJMSProperties(Message fromESBMsg,
                          javax.jms.Message toJMSMessage)
                          throws javax.jms.JMSException

  Sets JMS properties fields on the outgoing JMS Message.

  Parameters:
    `jmsMessage` - the out-going JMS Message object
    `esbMsg` - the Message object from the ESB
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD